

# Overview 

* Authentication to VPNServer is only possible with an account in uffd, regular authentication is disabled (can be enabled as fallback)
* All users with group 'vpnserver_access' can access the VPNServer  

# Setup OIDC Authentication via uffd 

Uffd Reference: https://git.cccv.de/uffd


## Setup VPNServer

* Wireguard secret initial erstellen: ```wg genkey > wg_private_key``` in /srv/vpnserver/secrets


## Setup in uffd

Create Groups:

- vpnserver_access: General Access to VPNServer

Create a Service / OAuth Client: 

Only Users with goup nextcloud_access can access Nextcloud 

Client-ID: vpnserver
Client-Secret: from file oauth_client_secret on the server
Redirect-URIs: 
* https://vpn.test-warpzone.de/callback

